# generated by cabal-rpm-0.12.5
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name pretty-show
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        1.6.16
Release:        2%{?dist}
Summary:        Tools for working with derived Show instances and generic inspection of values

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Make symlinks valid.
BuildRequires:  web-assets-devel
# Begin cabal-rpm deps:
BuildRequires:  chrpath
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-lexer-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  happy
# End cabal-rpm deps
Requires:       js-jquery1

%description
We provide a library and an executable for working with derived 'Show'
instances. By using the library, we can parse derived 'Show' instances into a
generic data structure. The 'ppsh' tool uses the library to produce
human-readable versions of 'Show' instances, which can be quite handy for
debugging Haskell programs. We can also render complex generic values into an
interactive Html page, for easier examination.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install
%ghc_fix_rpath %{pkgver}

%global _style_dir %{buildroot}%{_datadir}/%{pkgver}/style

# Replace shipped jQuery with system version.
rm -v %{_style_dir}/jquery-src.js
rm -v %{_style_dir}/jquery.js

ln -s %{_webassetdir}/jquery/1/jquery.js %{_style_dir}/jquery-src.js
ln -s %{_webassetdir}/jquery/1/jquery.min.js %{_style_dir}/jquery.js


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE
%{_datadir}/%{pkgver}


%files devel -f %{name}-devel.files
%doc CHANGELOG
%{_bindir}/ppsh


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 1.6.16-1
- update to 1.6.16

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 1.6.15-1
- update to 1.6.15

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 24 2017 Jens Petersen <petersen@redhat.com> - 1.6.12-3
- refresh to cabal-rpm-0.11.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 24 2016 Ben Boeckel <mathstuf@gmail.com> - 1.6.12-1
- updaet to 1.6.12

* Sun Jun 26 2016 Jens Petersen <petersen@redhat.com> - 1.6.10-1
- update to 1.6.10

* Sat Apr 23 2016 Ben Boeckel <mathstuf@gmail.com> - 1.6.9-1
- update to 1.6.9

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8.2-2
- initial import

* Mon Jul 20 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8.2-1
- update to 1.6.8.2

* Mon Mar 02 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8.1-1
- update for license fix

* Sun Mar 01 2015 Ben Boeckel <mathstuf@gmail.com> - 1.6.8-2
- use system jQuery

* Tue Feb 24 2015 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.6.8-1
- spec file generated by cabal-rpm-0.9.3
